.icon-text-card {
  position: relative;
  display: flex;
  height: 100%;
  color: var(--text-color);
}
.icon-text-card .text-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  row-gap: var(--grid-gap-small);
  word-break: break-word;
}
.icon-text-card.number-card .text-content {
  margin-bottom: 71px;
}
.icon-text-card .index-content {
  position: absolute;
  bottom: 0;
  height: 71px;
  padding: 0 2px;
  line-height: 1.2;
  font-size: 96px;
  font-weight: 600;
  overflow: hidden;
  font-family: var(--number-font-family);
}

.icon-text-card.horizontal {
  flex-direction: row;
  align-items: flex-start;
  column-gap: var(--grid-gap-medium);
}
.icon-text-card.horizontal .icon-content {
  flex-shrink: 0;
}
.icon-text-card.horizontal .text-content {
  flex: 1;
}

.icon-text-card.vertical {
  flex-direction: column;
  row-gap: var(--grid-gap-small);
}
.icon-text-card.vertical.left {
  align-items: flex-start;
}
.icon-text-card.vertical.center {
  align-items: center;
}
.icon-text-card.vertical.right {
  align-items: flex-end;
}
.icon-text-card.vertical .icon-content {
  display: inline-block;
}

.icon-text-card.left .index-content,
.icon-text-card.left .text-content {
  text-align: start;
}
.icon-text-card.center .index-content,
.icon-text-card.center .text-content {
  text-align: center;
}
.icon-text-card.right .index-content,
.icon-text-card.right .text-content {
  text-align: end;
}

.icon-text-card.icon-shrink:hover .icon-content,
/* double-color card hover effect in editor preview */
.double-icon-text-card:hover .icon-text-card.icon-shrink .icon-content {
  animation: icon_shake 2s linear;
}
@keyframes icon_shake {
  16.65% {
    transform: translateX(7px);
  }
  33.33% {
    transform: translateX(-5px);
  }
  49.95% {
    transform: translateX(3px);
  }
  66.6% {
    transform: translateX(-2px);
  }
  83.25% {
    transform: translateX(1px);
  }
  100% {
    transform: translateX(0);
  }
}

@media (max-width: 767px) {
  .icon-text-card.number-card .text-content {
    margin-bottom: 52px;
  }
  .icon-text-card .index-content {
    font-size: 70px;
    height: 52px;
  }
}